---
lang: en
title: 'API docs: context-explorer.contextbinding._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/context-explorer
permalink: /doc/en/lb4/apidocs.context-explorer.contextbinding._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context-explorer](./context-explorer.md) &gt; [ContextBinding](./context-explorer.contextbinding.md) &gt; [(constructor)](./context-explorer.contextbinding._constructor_.md)

## ContextBinding.(constructor)

Constructs a new instance of the `ContextBinding` class

**Signature:**

```typescript
constructor(context: JSONObject, binding: JSONObject, level: number);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  context | [JSONObject](./context.jsonobject.md) |  |
|  binding | [JSONObject](./context.jsonobject.md) |  |
|  level | number |  |


